MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000809Orfeo Toolbox (OTB)Generalpublic2013-10-29 18:062016-10-21 15:42
Reportermickael 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusconfirmedResolutionreopened 
PlatformOSOS Version
Summary0000809: LSMS Vectorization application didn't support ouput file with "-" special character
DescriptionI have try to vectorize a segmentation with an output filename /tmp/testVectorization-1.shp and I get an error : ERROR 1: SQL Expression Parsing Error: syntax error
I think it comes from GDAL/OGR but it could be interesting to check this point. If necessary we should put a bug to GDAL/OGR bug tracker and a limitation to the application (because it is very annoying to find this bug)

Additional InformationMy version of GDAL is 1.10.0 (dora system one)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001967)
julien (administrator)
2013-10-30 09:59

At some point in the code, we use the OGR sql abstraction to perform the following request:

    sqloss<<"SELECT * FROM "<<layername<<" ORDER BY label";

I think that in you case layername contains the '-' character, we might need to protect layername with quotes.
(0001969)
julien (administrator)
2013-10-30 11:30

Fixed here: http://hg.orfeo-toolbox.org/OTB/rev/94904074e77d [^]
(0002036)
mickael (administrator)
2013-11-14 16:03

Fix works with shp file but not with sqlite file.
(0003820)
grizonnetm (administrator)
2016-10-21 15:42

confirmed that there is an issue with sqlite format as output of the vectorization application.

You can reproduce the issue by changing the output of the OTB test apTvLSMS4Vectorization_SmallMerged from shapefile to sqlite.

The error message:

ERROR 1: In ExecuteSQL(): sqlite3_prepare(SELECT * FROM "apTvLSMS4_Segmentation_SmallMerged-1" ORDER BY label):
  no such table: apTvLSMS4_Segmentation_SmallMerged-1
Erreur de segmentation (core dumped)

- Issue History
Date Modified Username Field Change
2013-10-29 18:06 mickael New Issue
2013-10-30 09:59 julien Note Added: 0001967
2013-10-30 11:30 julien Note Added: 0001969
2013-10-30 11:30 julien Status new => resolved
2013-10-30 11:30 julien Resolution open => fixed
2013-10-30 11:30 julien Assigned To => julien
2013-11-14 16:03 mickael Note Added: 0002036
2013-11-14 16:03 mickael Status resolved => feedback
2013-11-14 16:03 mickael Resolution fixed => reopened
2016-10-21 15:42 grizonnetm Note Added: 0003820
2016-10-21 15:42 grizonnetm Assigned To julien =>
2016-10-21 15:42 grizonnetm Status feedback => confirmed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker